//Source file: BindingEntry.java
//Date: June 2006
//Mobility Interfaces and Data Types for 3GPP TS 29.198-06 V6.6.0, Release 6

package org.csapi.jr.se.mm;

/**
 * Defines the Tagged Choice of Data Elements that specifies binding information.
 *
 */
public final class BindingEntry implements java.io.Serializable {

    private BindingEntryType _discriminator = null;
    private java.lang.Object _object;

    /**
     * Creates a new BindingEntry.
     * Tagged choice of data elements always have empty constructors
     */ 
    public BindingEntry() {}

    /**
     * This method returns the discriminator.
     * 
     * @return a BindingEntryType value 
     * @exception InvalidUnionAccessorException if an error occurs 
     */ 
    public BindingEntryType getDiscriminator() throws org.csapi.jr.se.InvalidUnionAccessorException {
        if (_discriminator == null) {
            throw new org.csapi.jr.se.InvalidUnionAccessorException();
        }
        return _discriminator;
    }

    /**
     * This method returns a UBExpires
     * 
     * @return  a int value
     * @exception InvalidUnionAccessorException if an error occurs 
     */
    public int getUBExpires() throws org.csapi.jr.se.InvalidUnionAccessorException {
        if (_discriminator != BindingEntryType.UB_EXPIRES) {
            throw new org.csapi.jr.se.InvalidUnionAccessorException();
        }
        return (((java.lang.Integer) _object).intValue());
    }

    /**
     * This method sets a UBExpires
     * 
     * @param value a int value
     */
    public void setUBExpires(int value) {
        _discriminator = BindingEntryType.UB_EXPIRES;
        _object = new java.lang.Integer(value);
    }

    /**
     * This method returns a UBContactAddress
     * 
     * @return  a org.csapi.jr.se.Address value
     * @exception InvalidUnionAccessorException if an error occurs 
     */
    public org.csapi.jr.se.Address getUBContactAddress() throws org.csapi.jr.se.InvalidUnionAccessorException {
        if (_discriminator != BindingEntryType.UB_CONTACT_ADDRESS) {
            throw new org.csapi.jr.se.InvalidUnionAccessorException();
        }
        return ((org.csapi.jr.se.Address) _object);
    }

    /**
     * This method sets a UBContactAddress
     * 
     * @param value a org.csapi.jr.se.Address value
     */
    public void setUBContactAddress(org.csapi.jr.se.Address value) {
        _discriminator = BindingEntryType.UB_CONTACT_ADDRESS;
        _object = value;
    }

    /**
     * This method returns a UBPreference
     * 
     * @return  a float value
     * @exception InvalidUnionAccessorException if an error occurs 
     */
    public float getUBPreference() throws org.csapi.jr.se.InvalidUnionAccessorException {
        if (_discriminator != BindingEntryType.UB_PREFERENCE) {
            throw new org.csapi.jr.se.InvalidUnionAccessorException();
        }
        return (((java.lang.Float) _object).floatValue());
    }

    /**
     * This method sets a UBPreference
     * 
     * @param value a float value
     */
    public void setUBPreference(float value) {
        _discriminator = BindingEntryType.UB_PREFERENCE;
        _object = new java.lang.Float(value);
    }


    /**
     * This method will receive the discriminator as a parameter and will set _object to null
     * 
     * @param discriminator a BindingEntryType value 
     */ 
    public void setUndefined(BindingEntryType discriminator) {
        _discriminator = discriminator;
        _object = null;
    }

    /**
     * Indicates whether some other object is 'equal to' this one.
     */
    public boolean equals(Object o) {
        if (o == null) {
            return false;
        }
        if(!(o instanceof BindingEntry)) {
            return false;
        } else {
            BindingEntry bindingEntry= (BindingEntry)o;
            if(!(this._object.equals(bindingEntry._object))){
                return false;
            } else {
                if(!(this._discriminator.equals(bindingEntry._discriminator))){
                    return false;
                }
            }
            if (this.hashCode() != o.hashCode()) {
                return false;
            }
            return true;
        }
    }

    /**
     * Returns a hashcode value for the object.
     */
    public int hashCode() {
        return 1;
    }

} // BindingEntry

