//Source file: LocationTriggerCamel.java
//Date: June 2006
//Mobility Interfaces and Data Types for 3GPP TS 29.198-06 V6.6.0, Release 6

package org.csapi.jr.se.mm;

/**
 * Defines the Sequence of Data Elements that specify the criteria for a triggered location report to be generated.
 * 
 */
public final class LocationTriggerCamel implements java.io.Serializable {

    private boolean updateInsideVlr;
    private boolean updateOutsideVlr;

    /**
     * Creates a new LocationTriggerCamel instance.
     */
    public LocationTriggerCamel () {}

    /**
     * Creates a new LocationTriggerCamel instance.
     * @param _updateInsideVlr   Generate location report, when a location update occurs inside the current VLR area. 
     * @param _updateOutsideVlr   Generate location report, when the user moves to another VLR area.
     */
    public LocationTriggerCamel (boolean _updateInsideVlr, boolean _updateOutsideVlr) {

        this.updateInsideVlr = _updateInsideVlr;
        this.updateOutsideVlr = _updateOutsideVlr;
    }

    /**
     * This method returns a updateInsideVlr.
     * 
     * @return a boolean value
     */
    public boolean getUpdateInsideVlr() {
        return updateInsideVlr;
    }

    /**
     * This method returns a updateOutsideVlr.
     * 
     * @return a boolean value
     */
    public boolean getUpdateOutsideVlr() {
        return updateOutsideVlr;
    }


    /**
     * This method sets a updateInsideVlr.
     */ 
    public void setUpdateInsideVlr(boolean updateInsideVlr) {
        this.updateInsideVlr = updateInsideVlr;
    }

    /**
     * This method sets a updateOutsideVlr.
     */ 
    public void setUpdateOutsideVlr(boolean updateOutsideVlr) {
        this.updateOutsideVlr = updateOutsideVlr;
    }


    /**
     * Indicates whether some other object is 'equal to' this one.
     */
    public boolean equals(Object o) {
        if (o == null) { 
            return false;
        }
        if(!(o instanceof LocationTriggerCamel)) {
            return false;
        } 
        LocationTriggerCamel locationTriggerCamel = (LocationTriggerCamel) o;
        if(!(this.updateInsideVlr == locationTriggerCamel.updateInsideVlr)) {
            return false;
        }
        if(!(this.updateOutsideVlr == locationTriggerCamel.updateOutsideVlr)) {
            return false;
        }
        if (this.hashCode() != o.hashCode()) {
            return false;
        }
        return true;
    }

    /**
     * Returns a hashcode value for the object.
     */
    public int hashCode() {
        return 1;
    }

} // LocationTriggerCamel

