//Source file: TriggeredLocationRequest.java
//Date: June 2006
//Mobility Interfaces and Data Types for 3GPP TS 29.198-06 V6.6.0, Release 6

package org.csapi.jr.se.mm;

/**
 * Defines the Sequence of Data Elements that specify the criteria relating to triggered location requests.
 * 
 */
public final class TriggeredLocationRequest implements java.io.Serializable {

    private org.csapi.jr.se.Address[] users;
    private org.csapi.jr.se.mm.LocationRequest request;
    private int assignmentID;

    /**
     * Creates a new TriggeredLocationRequest instance.
     */
    public TriggeredLocationRequest () {}

    /**
     * Creates a new TriggeredLocationRequest instance.
     * @param _users   
     * @param _request   
     * @param _assignmentID   
     */
    public TriggeredLocationRequest (org.csapi.jr.se.Address[] _users, org.csapi.jr.se.mm.LocationRequest _request, int _assignmentID) {

        this.users = _users;
        this.request = _request;
        this.assignmentID = _assignmentID;
    }

    /**
     * This method returns a users.
     * 
     * @return a org.csapi.jr.se.Address[] value
     */
    public org.csapi.jr.se.Address[] getUsers() {
        return users;
    }

    /**
     * This method returns a request.
     * 
     * @return a org.csapi.jr.se.mm.LocationRequest value
     */
    public org.csapi.jr.se.mm.LocationRequest getRequest() {
        return request;
    }

    /**
     * This method returns a assignmentID.
     * 
     * @return a int value
     */
    public int getAssignmentID() {
        return assignmentID;
    }


    /**
     * This method sets a users.
     */ 
    public void setUsers(org.csapi.jr.se.Address[] users) {
        this.users = users;
    }

    /**
     * This method sets a request.
     */ 
    public void setRequest(org.csapi.jr.se.mm.LocationRequest request) {
        this.request = request;
    }

    /**
     * This method sets a assignmentID.
     */ 
    public void setAssignmentID(int assignmentID) {
        this.assignmentID = assignmentID;
    }


    /**
     * Indicates whether some other object is 'equal to' this one.
     */
    public boolean equals(Object o) {
        if (o == null) { 
            return false;
        }
        if(!(o instanceof TriggeredLocationRequest)) {
            return false;
        } 
        TriggeredLocationRequest triggeredLocationRequest = (TriggeredLocationRequest) o;
        if(!(this.users == triggeredLocationRequest.users))  {
            return false;
        }
        if ((this.request != null) && (triggeredLocationRequest.request != null)) {
            if(!(this.request.equals(triggeredLocationRequest.request))) {
                return false;
            }
        }
        if(!(this.assignmentID == triggeredLocationRequest.assignmentID)) {
            return false;
        }
        if (this.hashCode() != o.hashCode()) {
            return false;
        }
        return true;
    }

    /**
     * Returns a hashcode value for the object.
     */
    public int hashCode() {
        return 1;
    }

} // TriggeredLocationRequest

