//Source file: TriggeredLocationRequestSetEntry.java
//Date: June 2006
//Mobility Interfaces and Data Types for 3GPP TS 29.198-06 V6.6.0, Release 6

package org.csapi.jr.se.mm;

/**
 * Defines the Sequence of Data Elements that specify a set of triggered requests and an indication whether more triggered location requests can be requested.
 * 
 */
public final class TriggeredLocationRequestSetEntry implements java.io.Serializable {

    private org.csapi.jr.se.mm.TriggeredLocationRequest[] requests;
    private boolean _final;

    /**
     * Creates a new TriggeredLocationRequestSetEntry instance.
     */
    public TriggeredLocationRequestSetEntry () {}

    /**
     * Creates a new TriggeredLocationRequestSetEntry instance.
     * @param _requests   Numbered set of requests.
     * @param _final   Indication whether the set of triggered requests is the final set (TRUE)or if there are more triggered requests (FALSE).
     */
    public TriggeredLocationRequestSetEntry (org.csapi.jr.se.mm.TriggeredLocationRequest[] _requests, boolean _final) {

        this.requests = _requests;
        this._final = _final;
    }

    /**
     * This method returns a requests.
     * 
     * @return a org.csapi.jr.se.mm.TriggeredLocationRequest[] value
     */
    public org.csapi.jr.se.mm.TriggeredLocationRequest[] getRequests() {
        return requests;
    }

    /**
     * This method returns a _final.
     * 
     * @return a boolean value
     */
    public boolean getFinal() {
        return _final;
    }


    /**
     * This method sets a requests.
     */ 
    public void setRequests(org.csapi.jr.se.mm.TriggeredLocationRequest[] requests) {
        this.requests = requests;
    }

    /**
     * This method sets a _final.
     */ 
    public void setFinal(boolean _final) {
        this._final = _final;
    }


    /**
     * Indicates whether some other object is 'equal to' this one.
     */
    public boolean equals(Object o) {
        if (o == null) { 
            return false;
        }
        if(!(o instanceof TriggeredLocationRequestSetEntry)) {
            return false;
        } 
        TriggeredLocationRequestSetEntry triggeredLocationRequestSetEntry = (TriggeredLocationRequestSetEntry) o;
        if(!(this.requests == triggeredLocationRequestSetEntry.requests))  {
            return false;
        }
        if(!(this._final == triggeredLocationRequestSetEntry._final)) {
            return false;
        }
        if (this.hashCode() != o.hashCode()) {
            return false;
        }
        return true;
    }

    /**
     * Returns a hashcode value for the object.
     */
    public int hashCode() {
        return 1;
    }

} // TriggeredLocationRequestSetEntry

