//Source file: TriggeredStatusRequest.java
//Date: June 2006
//Mobility Interfaces and Data Types for 3GPP TS 29.198-06 V6.6.0, Release 6

package org.csapi.jr.se.mm;

/**
 * Defines the Sequence of Data Elements that specify the criteria relating to triggered status requests.
 * 
 */
public final class TriggeredStatusRequest implements java.io.Serializable {

    private org.csapi.jr.se.Address[] users;
    private int assignmentID;

    /**
     * Creates a new TriggeredStatusRequest instance.
     */
    public TriggeredStatusRequest () {}

    /**
     * Creates a new TriggeredStatusRequest instance.
     * @param _users   
     * @param _assignmentID   
     */
    public TriggeredStatusRequest (org.csapi.jr.se.Address[] _users, int _assignmentID) {

        this.users = _users;
        this.assignmentID = _assignmentID;
    }

    /**
     * This method returns a users.
     * 
     * @return a org.csapi.jr.se.Address[] value
     */
    public org.csapi.jr.se.Address[] getUsers() {
        return users;
    }

    /**
     * This method returns a assignmentID.
     * 
     * @return a int value
     */
    public int getAssignmentID() {
        return assignmentID;
    }


    /**
     * This method sets a users.
     */ 
    public void setUsers(org.csapi.jr.se.Address[] users) {
        this.users = users;
    }

    /**
     * This method sets a assignmentID.
     */ 
    public void setAssignmentID(int assignmentID) {
        this.assignmentID = assignmentID;
    }


    /**
     * Indicates whether some other object is 'equal to' this one.
     */
    public boolean equals(Object o) {
        if (o == null) { 
            return false;
        }
        if(!(o instanceof TriggeredStatusRequest)) {
            return false;
        } 
        TriggeredStatusRequest triggeredStatusRequest = (TriggeredStatusRequest) o;
        if(!(this.users == triggeredStatusRequest.users))  {
            return false;
        }
        if(!(this.assignmentID == triggeredStatusRequest.assignmentID)) {
            return false;
        }
        if (this.hashCode() != o.hashCode()) {
            return false;
        }
        return true;
    }

    /**
     * Returns a hashcode value for the object.
     */
    public int hashCode() {
        return 1;
    }

} // TriggeredStatusRequest

