//Source file: ExtendedLocationReportListener.java
//Date: June 2006
//Mobility Interfaces and Data Types for 3GPP TS 29.198-06 V6.6.0, Release 6

package org.csapi.jr.se.mm.ul;

/**
 * This interface is to be implemented for receiving events issued by the ExtendedLocationReport activity object.<BR>
 *
 */
public interface ExtendedLocationReportListener extends java.util.EventListener {

    /**
     * Called due to a Gateway initiated call to the extendedLocationReportErr() method on
     * the callback interface.
     *
     * @param  extendedLocationReportErrEvent  Reference to a ExtendedLocationReportErrEvent event
     *        emmited from the impl or activity object.
     */
    void onExtendedLocationReportErrEvent(org.csapi.jr.se.mm.ul.ExtendedLocationReportErrEvent extendedLocationReportErrEvent);
    
    /**
     * Called due to a Gateway initiated call to the extendedLocationReportRes() method on
     * the callback interface.
     *
     * @param  extendedLocationReportResEvent  Reference to a ExtendedLocationReportResEvent event
     *        emmited from the impl or activity object.
     */
    void onExtendedLocationReportResEvent(org.csapi.jr.se.mm.ul.ExtendedLocationReportResEvent extendedLocationReportResEvent);
    

}
