//Source file: LocationReport.java
//Date: June 2006
//Mobility Interfaces and Data Types for 3GPP TS 29.198-06 V6.6.0, Release 6

package org.csapi.jr.se.mm.ul;

/**
 * This interface represents a LocationReport activity object.<BR>
 *
 */
public interface LocationReport extends org.csapi.jr.se.Activity {

    /**
     * Returns a reference to the UserLocation responsible for creation of the LocationReport.
     *
     * @return  A reference to the UserLocation responsible for creation of the LocationReport.
     */
    org.csapi.jr.se.mm.ul.UserLocation getUserLocation();

    /**
     * Adds a LocationReportListener which is interested in events generated by the LocationReport.
     *
     * @param  locationReportListener  A reference to the LocationReportListener which is to be added as
     *        a listener.
     */
    void addLocationReportListener(org.csapi.jr.se.mm.ul.LocationReportListener locationReportListener);

    /**
     * Removes a LocationReportListener which is no longer interested events generated by the LocationReport.
     *
     * @param  locationReportListener  A reference to the LocationReportListener which is to be removed as
     *        a listener.
     */
    void removeLocationReportListener(org.csapi.jr.se.mm.ul.LocationReportListener locationReportListener);

    /**
     * Invokes the locationReportReq() method on the Parlay Gateway.
     */
    void locationReportReq(
           org.csapi.jr.se.Address[] users)
      throws org.csapi.jr.se.PlatformException,
       java.lang.IllegalStateException,
       org.csapi.jr.se.CommonException,
       org.csapi.jr.se.ApplicationNotActivatedException,
       org.csapi.jr.se.InformationNotAvailableException,
       org.csapi.jr.se.InvalidInterfaceTypeException;
}
