//Source file: LocationReportListener.java
//Date: June 2006
//Mobility Interfaces and Data Types for 3GPP TS 29.198-06 V6.6.0, Release 6

package org.csapi.jr.se.mm.ul;

/**
 * This interface is to be implemented for receiving events issued by the LocationReport activity object.<BR>
 *
 */
public interface LocationReportListener extends java.util.EventListener {

    /**
     * Called due to a Gateway initiated call to the locationReportErr() method on
     * the callback interface.
     *
     * @param  locationReportErrEvent  Reference to a LocationReportErrEvent event
     *        emmited from the impl or activity object.
     */
    void onLocationReportErrEvent(org.csapi.jr.se.mm.ul.LocationReportErrEvent locationReportErrEvent);
    
    /**
     * Called due to a Gateway initiated call to the locationReportRes() method on
     * the callback interface.
     *
     * @param  locationReportResEvent  Reference to a LocationReportResEvent event
     *        emmited from the impl or activity object.
     */
    void onLocationReportResEvent(org.csapi.jr.se.mm.ul.LocationReportResEvent locationReportResEvent);
    

}
