//Source file: TriggeredLocationReportEvent.java
//Date: June 2006
//Mobility Interfaces and Data Types for 3GPP TS 29.198-06 V6.6.0, Release 6

package org.csapi.jr.se.mm.ul;

/**
 * Event created by an activity object to indicate that a Gateway originated 
 * call to the triggeredLocationReport() method on the callback interface 
 * has occurred.<BR>
 *
 */
public final class TriggeredLocationReportEvent extends java.util.EventObject {

    /**
     * Constructor for the TriggeredLocationReportEvent Event.
     *
     * @param  source      Reference to the object firing the event.<BR>
     */
    public TriggeredLocationReportEvent(java.lang.Object source,
        org.csapi.jr.se.mm.UserLocationExtended location,
        org.csapi.jr.se.mm.LocationTriggerCriteria criterion) {

        super(source);
      this.location = location;
      this.criterion = criterion;
 
    }

    org.csapi.jr.se.mm.UserLocationExtended location;

    /**
     *  This method is used to retrieve the parameter value of 'location' passed up
     *  from the Gateway in it's call to the triggeredLocationReport() method, used on
     *  the creation of this event.
     *
     * @return    The value of 'location' used on creation of this event.
     */
    public org.csapi.jr.se.mm.UserLocationExtended getLocation() {

        return this.location;
    }
       
    org.csapi.jr.se.mm.LocationTriggerCriteria criterion;

    /**
     *  This method is used to retrieve the parameter value of 'criterion' passed up
     *  from the Gateway in it's call to the triggeredLocationReport() method, used on
     *  the creation of this event.
     *
     * @return    The value of 'criterion' used on creation of this event.
     */
    public org.csapi.jr.se.mm.LocationTriggerCriteria getCriterion() {

        return this.criterion;
    }
       
}

