//Source file: TriggeredUserLocation.java
//Date: June 2006
//Mobility Interfaces and Data Types for 3GPP TS 29.198-06 V6.6.0, Release 6

package org.csapi.jr.se.mm.ul;

/**
 * This interface represents a TriggeredUserLocation.<BR>
 *
 */
public interface TriggeredUserLocation extends org.csapi.jr.se.Service {

    /**
     * Adds a TriggeredUserLocationListener which is interested in events generated by the TriggeredUserLocation.
     *
     * @param  triggeredUserLocationListener  A reference to the TriggeredUserLocationListener which is to be added as
     *         a listener.
     */
    void addTriggeredUserLocationListener(org.csapi.jr.se.mm.ul.TriggeredUserLocationListener triggeredUserLocationListener);

    /**
     * Removes a TriggeredUserLocationListener which is no longer interested in events generated by the TriggeredUserLocation.
     *
     * @param  triggeredUserLocationListener  A reference to the TriggeredUserLocationListener which is to be removed as
     *         a listener.
     */
    void removeTriggeredUserLocationListener(org.csapi.jr.se.mm.ul.TriggeredUserLocationListener triggeredUserLocationListener);

    /**
     * Invokes the getNextTriggeredLocationRequest() method on the Parlay Gateway.
     */
    org.csapi.jr.se.mm.TriggeredLocationRequestSetEntry getNextTriggeredLocationRequest(
           boolean                         reset)
      throws org.csapi.jr.se.PlatformException,
       org.csapi.jr.se.CommonException;

    /**
     * Creates a TriggeredLocationReporting object and returns a reference to the interface used to gain access
     * to it's methods.
     *
     * @return  A reference to the TriggeredLocationReporting interface.
     */
    org.csapi.jr.se.mm.ul.TriggeredLocationReporting createTriggeredLocationReporting();

}
