//Source file: UserLocation.java
//Date: June 2006
//Mobility Interfaces and Data Types for 3GPP TS 29.198-06 V6.6.0, Release 6

package org.csapi.jr.se.mm.ul;

/**
 * This interface represents a UserLocation.<BR>
 *
 */
public interface UserLocation extends org.csapi.jr.se.Service {

    /**
     * Adds a UserLocationListener which is interested in events generated by the UserLocation.
     *
     * @param  userLocationListener  A reference to the UserLocationListener which is to be added as
     *         a listener.
     */
    void addUserLocationListener(org.csapi.jr.se.mm.ul.UserLocationListener userLocationListener);

    /**
     * Removes a UserLocationListener which is no longer interested in events generated by the UserLocation.
     *
     * @param  userLocationListener  A reference to the UserLocationListener which is to be removed as
     *         a listener.
     */
    void removeUserLocationListener(org.csapi.jr.se.mm.ul.UserLocationListener userLocationListener);

    /**
     * Invokes the getNextPeriodicLocationRequest() method on the Parlay Gateway.
     */
    org.csapi.jr.se.mm.PeriodicLocationRequestSetEntry getNextPeriodicLocationRequest(
           boolean                         reset)
      throws org.csapi.jr.se.PlatformException,
       org.csapi.jr.se.CommonException;

    /**
     * Creates a LocationReport object and returns a reference to the interface used to gain access
     * to it's methods.
     *
     * @return  A reference to the LocationReport interface.
     */
    org.csapi.jr.se.mm.ul.LocationReport createLocationReport();

    /**
     * Creates a PeriodicLocationReporting object and returns a reference to the interface used to gain access
     * to it's methods.
     *
     * @return  A reference to the PeriodicLocationReporting interface.
     */
    org.csapi.jr.se.mm.ul.PeriodicLocationReporting createPeriodicLocationReporting();

    /**
     * Creates a ExtendedLocationReport object and returns a reference to the interface used to gain access
     * to it's methods.
     *
     * @return  A reference to the ExtendedLocationReport interface.
     */
    org.csapi.jr.se.mm.ul.ExtendedLocationReport createExtendedLocationReport();

}
