//Source file: PeriodicLocationReportEvent.java
//Date: June 2006
//Mobility Interfaces and Data Types for 3GPP TS 29.198-06 V6.6.0, Release 6

package org.csapi.jr.se.mm.ulc;

/**
 * Event created by an activity object to indicate that a Gateway originated 
 * call to the periodicLocationReport() method on the callback interface 
 * has occurred.<BR>
 *
 */
public final class PeriodicLocationReportEvent extends java.util.EventObject {

    /**
     * Constructor for the PeriodicLocationReportEvent Event.
     *
     * @param  source      Reference to the object firing the event.<BR>
     */
    public PeriodicLocationReportEvent(java.lang.Object source,
        org.csapi.jr.se.mm.UserLocationCamel[] locations) {

        super(source);
      this.locations = locations;
 
    }

    org.csapi.jr.se.mm.UserLocationCamel[] locations;

    /**
     *  This method is used to retrieve the parameter value of 'locations' passed up
     *  from the Gateway in it's call to the periodicLocationReport() method, used on
     *  the creation of this event.
     *
     * @return    The value of 'locations' used on creation of this event.
     */
    public org.csapi.jr.se.mm.UserLocationCamel[] getLocations() {

        return this.locations;
    }
       
}

