//Source file: PeriodicLocationReportingListener.java
//Date: June 2006
//Mobility Interfaces and Data Types for 3GPP TS 29.198-06 V6.6.0, Release 6

package org.csapi.jr.se.mm.ulc;

/**
 * This interface is to be implemented for receiving events issued by the PeriodicLocationReporting activity object.<BR>
 *
 */
public interface PeriodicLocationReportingListener extends java.util.EventListener {

    /**
     * Called due to a Gateway initiated call to the periodicLocationReportErr() method on
     * the callback interface.
     *
     * @param  periodicLocationReportErrEvent  Reference to a PeriodicLocationReportErrEvent event
     *        emmited from the impl or activity object.
     */
    void onPeriodicLocationReportErrEvent(org.csapi.jr.se.mm.ulc.PeriodicLocationReportErrEvent periodicLocationReportErrEvent);
    
    /**
     * Called due to a Gateway initiated call to the periodicLocationReport() method on
     * the callback interface.
     *
     * @param  periodicLocationReportEvent  Reference to a PeriodicLocationReportEvent event
     *        emmited from the impl or activity object.
     */
    void onPeriodicLocationReportEvent(org.csapi.jr.se.mm.ulc.PeriodicLocationReportEvent periodicLocationReportEvent);
    

}
