//Source file: TriggeredLocationReportingListener.java
//Date: June 2006
//Mobility Interfaces and Data Types for 3GPP TS 29.198-06 V6.6.0, Release 6

package org.csapi.jr.se.mm.ulc;

/**
 * This interface is to be implemented for receiving events issued by the TriggeredLocationReporting activity object.<BR>
 *
 */
public interface TriggeredLocationReportingListener extends java.util.EventListener {

    /**
     * Called due to a Gateway initiated call to the triggeredLocationReportErr() method on
     * the callback interface.
     *
     * @param  triggeredLocationReportErrEvent  Reference to a TriggeredLocationReportErrEvent event
     *        emmited from the impl or activity object.
     */
    void onTriggeredLocationReportErrEvent(org.csapi.jr.se.mm.ulc.TriggeredLocationReportErrEvent triggeredLocationReportErrEvent);
    
    /**
     * Called due to a Gateway initiated call to the triggeredLocationReport() method on
     * the callback interface.
     *
     * @param  triggeredLocationReportEvent  Reference to a TriggeredLocationReportEvent event
     *        emmited from the impl or activity object.
     */
    void onTriggeredLocationReportEvent(org.csapi.jr.se.mm.ulc.TriggeredLocationReportEvent triggeredLocationReportEvent);
    
    /**
     * Called due to a Gateway initiated call to the triggeredReportingEnded() method on
     * the callback interface.
     *
     * @param  triggeredReportingEndedEvent  Reference to a TriggeredReportingEndedEvent event
     *        emmited from the impl or activity object.
     */
    void onTriggeredReportingEndedEvent(org.csapi.jr.se.mm.ulc.TriggeredReportingEndedEvent triggeredReportingEndedEvent);
    

}
