//Source file: UserLocationCamel.java
//Date: June 2006
//Mobility Interfaces and Data Types for 3GPP TS 29.198-06 V6.6.0, Release 6

package org.csapi.jr.se.mm.ulc;

/**
 * This interface represents a UserLocationCamel.<BR>
 *
 */
public interface UserLocationCamel extends org.csapi.jr.se.Service {

    /**
     * Adds a UserLocationCamelListener which is interested in events generated by the UserLocationCamel.
     *
     * @param  userLocationCamelListener  A reference to the UserLocationCamelListener which is to be added as
     *         a listener.
     */
    void addUserLocationCamelListener(org.csapi.jr.se.mm.ulc.UserLocationCamelListener userLocationCamelListener);

    /**
     * Removes a UserLocationCamelListener which is no longer interested in events generated by the UserLocationCamel.
     *
     * @param  userLocationCamelListener  A reference to the UserLocationCamelListener which is to be removed as
     *         a listener.
     */
    void removeUserLocationCamelListener(org.csapi.jr.se.mm.ulc.UserLocationCamelListener userLocationCamelListener);

    /**
     * Invokes the getNextPeriodicLocationRequest() method on the Parlay Gateway.
     */
    org.csapi.jr.se.mm.PeriodicLocationRequestSetEntry getNextPeriodicLocationRequest(
           boolean                         reset)
      throws org.csapi.jr.se.PlatformException,
       org.csapi.jr.se.CommonException;

    /**
     * Invokes the getNextTriggeredLocationRequest() method on the Parlay Gateway.
     */
    org.csapi.jr.se.mm.TriggeredLocationRequestSetEntry getNextTriggeredLocationRequest(
           boolean                         reset)
      throws org.csapi.jr.se.PlatformException,
       org.csapi.jr.se.CommonException;

    /**
     * Creates a TriggeredLocationReporting object and returns a reference to the interface used to gain access
     * to it's methods.
     *
     * @return  A reference to the TriggeredLocationReporting interface.
     */
    org.csapi.jr.se.mm.ulc.TriggeredLocationReporting createTriggeredLocationReporting();

    /**
     * Creates a LocationReport object and returns a reference to the interface used to gain access
     * to it's methods.
     *
     * @return  A reference to the LocationReport interface.
     */
    org.csapi.jr.se.mm.ulc.LocationReport createLocationReport();

    /**
     * Creates a PeriodicLocationReporting object and returns a reference to the interface used to gain access
     * to it's methods.
     *
     * @return  A reference to the PeriodicLocationReporting interface.
     */
    org.csapi.jr.se.mm.ulc.PeriodicLocationReporting createPeriodicLocationReporting();

}
