//Source file: ExtTriggeredStatusReporting.java
//Date: June 2006
//Mobility Interfaces and Data Types for 3GPP TS 29.198-06 V6.6.0, Release 6

package org.csapi.jr.se.mm.us;

/**
 * This interface represents a ExtTriggeredStatusReporting activity object.<BR>
 *
 */
public interface ExtTriggeredStatusReporting extends org.csapi.jr.se.Activity {

    /**
     * Returns a reference to the UserStatus responsible for creation of the ExtTriggeredStatusReporting.
     *
     * @return  A reference to the UserStatus responsible for creation of the ExtTriggeredStatusReporting.
     */
    org.csapi.jr.se.mm.us.UserStatus getUserStatus();

    /**
     * Adds a ExtTriggeredStatusReportingListener which is interested in events generated by the ExtTriggeredStatusReporting.
     *
     * @param  extTriggeredStatusReportingListener  A reference to the ExtTriggeredStatusReportingListener which is to be added as
     *        a listener.
     */
    void addExtTriggeredStatusReportingListener(org.csapi.jr.se.mm.us.ExtTriggeredStatusReportingListener extTriggeredStatusReportingListener);

    /**
     * Removes a ExtTriggeredStatusReportingListener which is no longer interested events generated by the ExtTriggeredStatusReporting.
     *
     * @param  extTriggeredStatusReportingListener  A reference to the ExtTriggeredStatusReportingListener which is to be removed as
     *        a listener.
     */
    void removeExtTriggeredStatusReportingListener(org.csapi.jr.se.mm.us.ExtTriggeredStatusReportingListener extTriggeredStatusReportingListener);

    /**
     * Invokes the extTriggeredStatusReportingStartReq() method on the Parlay Gateway.
     */
    void extTriggeredStatusReportingStartReq(
           org.csapi.jr.se.Address[] users)
      throws org.csapi.jr.se.PlatformException,
       java.lang.IllegalStateException,
       org.csapi.jr.se.CommonException,
       org.csapi.jr.se.UnknownSubscriberException,
       org.csapi.jr.se.InformationNotAvailableException,
       org.csapi.jr.se.ApplicationNotActivatedException,
       org.csapi.jr.se.InvalidInterfaceTypeException;

    /**
     * Invokes the extTriggeredStatusReportingStop() method on the Parlay Gateway.
     */
    void extTriggeredStatusReportingStop(
           org.csapi.jr.se.mm.MobilityStopAssignmentData stopRequest)
      throws org.csapi.jr.se.PlatformException,
       java.lang.IllegalStateException,
       org.csapi.jr.se.CommonException;
}
