//Source file: ExtTriggeredStatusReportingListener.java
//Date: June 2006
//Mobility Interfaces and Data Types for 3GPP TS 29.198-06 V6.6.0, Release 6

package org.csapi.jr.se.mm.us;

/**
 * This interface is to be implemented for receiving events issued by the ExtTriggeredStatusReporting activity object.<BR>
 *
 */
public interface ExtTriggeredStatusReportingListener extends java.util.EventListener {

    /**
     * Called due to a Gateway initiated call to the triggeredReportingEnded() method on
     * the callback interface.
    *
     * @param  triggeredReportingEndedEvent  Reference to a TriggeredReportingEndedEvent event
     *        emmited from the impl or activity object.
     */
    void onTriggeredReportingEndedEvent(org.csapi.jr.se.mm.us.TriggeredReportingEndedEvent triggeredReportingEndedEvent);
    
    /**
     * Called due to a Gateway initiated call to the extTriggeredStatusReportErr() method on
     * the callback interface.
     *
     * @param  extTriggeredStatusReportErrEvent  Reference to a ExtTriggeredStatusReportErrEvent event
     *        emmited from the impl or activity object.
     */
    void onExtTriggeredStatusReportErrEvent(org.csapi.jr.se.mm.us.ExtTriggeredStatusReportErrEvent extTriggeredStatusReportErrEvent);
    
    /**
     * Called due to a Gateway initiated call to the extTriggeredStatusReport() method on
     * the callback interface.
     *
     * @param  extTriggeredStatusReportEvent  Reference to a ExtTriggeredStatusReportEvent event
     *        emmited from the impl or activity object.
     */
    void onExtTriggeredStatusReportEvent(org.csapi.jr.se.mm.us.ExtTriggeredStatusReportEvent extTriggeredStatusReportEvent);
    

}
