//Source file: ExtendedStatusReportErrEvent.java
//Date: June 2006
//Mobility Interfaces and Data Types for 3GPP TS 29.198-06 V6.6.0, Release 6

package org.csapi.jr.se.mm.us;

/**
 * Event created by an activity object to indicate that a Gateway originated 
 * call to the extendedStatusReportErr() method on the callback interface 
 * has occurred.<BR>
 *
 */
public final class ExtendedStatusReportErrEvent extends java.util.EventObject {

    /**
     * Constructor for the ExtendedStatusReportErrEvent Event.
     *
     * @param  source      Reference to the object firing the event.<BR>
     */
    public ExtendedStatusReportErrEvent(java.lang.Object source,
        org.csapi.jr.se.mm.MobilityError cause,
        org.csapi.jr.se.mm.MobilityDiagnostic diagnostic) {

        super(source);
      this.cause = cause;
      this.diagnostic = diagnostic;
 
    }

    org.csapi.jr.se.mm.MobilityError cause;

    /**
     *  This method is used to retrieve the parameter value of 'cause' passed up
     *  from the Gateway in it's call to the extendedStatusReportErr() method, used on
     *  the creation of this event.
     *
     * @return    The value of 'cause' used on creation of this event.
     */
    public org.csapi.jr.se.mm.MobilityError getCause() {

        return this.cause;
    }
       
    org.csapi.jr.se.mm.MobilityDiagnostic diagnostic;

    /**
     *  This method is used to retrieve the parameter value of 'diagnostic' passed up
     *  from the Gateway in it's call to the extendedStatusReportErr() method, used on
     *  the creation of this event.
     *
     * @return    The value of 'diagnostic' used on creation of this event.
     */
    public org.csapi.jr.se.mm.MobilityDiagnostic getDiagnostic() {

        return this.diagnostic;
    }
       
}

