//Source file: StatusReportResEvent.java
//Date: June 2006
//Mobility Interfaces and Data Types for 3GPP TS 29.198-06 V6.6.0, Release 6

package org.csapi.jr.se.mm.us;

/**
 * Event created by an activity object to indicate that a Gateway originated 
 * call to the statusReportRes() method on the callback interface 
 * has occurred.<BR>
 *
 */
public final class StatusReportResEvent extends java.util.EventObject {

    /**
     * Constructor for the StatusReportResEvent Event.
     *
     * @param  source      Reference to the object firing the event.<BR>
     */
    public StatusReportResEvent(java.lang.Object source,
        org.csapi.jr.se.mm.UserStatus[] status) {

        super(source);
      this.status = status;
 
    }

    org.csapi.jr.se.mm.UserStatus[] status;

    /**
     *  This method is used to retrieve the parameter value of 'status' passed up
     *  from the Gateway in it's call to the statusReportRes() method, used on
     *  the creation of this event.
     *
     * @return    The value of 'status' used on creation of this event.
     */
    public org.csapi.jr.se.mm.UserStatus[] getStatus() {

        return this.status;
    }
       
}

