//Source file: TriggeredStatusReporting.java
//Date: June 2006
//Mobility Interfaces and Data Types for 3GPP TS 29.198-06 V6.6.0, Release 6

package org.csapi.jr.se.mm.us;

/**
 * This interface represents a TriggeredStatusReporting activity object.<BR>
 *
 */
public interface TriggeredStatusReporting extends org.csapi.jr.se.Activity {

    /**
     * Returns a reference to the UserStatus responsible for creation of the TriggeredStatusReporting.
     *
     * @return  A reference to the UserStatus responsible for creation of the TriggeredStatusReporting.
     */
    org.csapi.jr.se.mm.us.UserStatus getUserStatus();

    /**
     * Adds a TriggeredStatusReportingListener which is interested in events generated by the TriggeredStatusReporting.
     *
     * @param  triggeredStatusReportingListener  A reference to the TriggeredStatusReportingListener which is to be added as
     *        a listener.
     */
    void addTriggeredStatusReportingListener(org.csapi.jr.se.mm.us.TriggeredStatusReportingListener triggeredStatusReportingListener);

    /**
     * Removes a TriggeredStatusReportingListener which is no longer interested events generated by the TriggeredStatusReporting.
     *
     * @param  triggeredStatusReportingListener  A reference to the TriggeredStatusReportingListener which is to be removed as
     *        a listener.
     */
    void removeTriggeredStatusReportingListener(org.csapi.jr.se.mm.us.TriggeredStatusReportingListener triggeredStatusReportingListener);

    /**
     * Invokes the triggeredStatusReportingStartReq() method on the Parlay Gateway.
     */
    void triggeredStatusReportingStartReq(
           org.csapi.jr.se.Address[] users)
      throws org.csapi.jr.se.PlatformException,
       java.lang.IllegalStateException,
       org.csapi.jr.se.CommonException,
       org.csapi.jr.se.UnknownSubscriberException,
       org.csapi.jr.se.InformationNotAvailableException,
       org.csapi.jr.se.ApplicationNotActivatedException,
       org.csapi.jr.se.InvalidInterfaceTypeException;

    /**
     * Invokes the triggeredStatusReportingStop() method on the Parlay Gateway.
     */
    void triggeredStatusReportingStop(
           org.csapi.jr.se.mm.MobilityStopAssignmentData stopRequest)
      throws org.csapi.jr.se.PlatformException,
       java.lang.IllegalStateException,
       org.csapi.jr.se.CommonException;
}
