//Source file: UserStatus.java
//Date: June 2006
//Mobility Interfaces and Data Types for 3GPP TS 29.198-06 V6.6.0, Release 6

package org.csapi.jr.se.mm.us;

/**
 * This interface represents a UserStatus.<BR>
 *
 */
public interface UserStatus extends org.csapi.jr.se.Service {

    /**
     * Adds a UserStatusListener which is interested in events generated by the UserStatus.
     *
     * @param  userStatusListener  A reference to the UserStatusListener which is to be added as
     *         a listener.
     */
    void addUserStatusListener(org.csapi.jr.se.mm.us.UserStatusListener userStatusListener);

    /**
     * Removes a UserStatusListener which is no longer interested in events generated by the UserStatus.
     *
     * @param  userStatusListener  A reference to the UserStatusListener which is to be removed as
     *         a listener.
     */
    void removeUserStatusListener(org.csapi.jr.se.mm.us.UserStatusListener userStatusListener);

    /**
     * Invokes the getNextTriggeredStatusRequest() method on the Parlay Gateway.
     */
    org.csapi.jr.se.mm.TriggeredStatusRequestSetEntry getNextTriggeredStatusRequest(
           boolean                         reset)
      throws org.csapi.jr.se.PlatformException,
       org.csapi.jr.se.CommonException;

    /**
     * Creates a ExtTriggeredStatusReporting object and returns a reference to the interface used to gain access
     * to it's methods.
     *
     * @return  A reference to the ExtTriggeredStatusReporting interface.
     */
    org.csapi.jr.se.mm.us.ExtTriggeredStatusReporting createExtTriggeredStatusReporting();

    /**
     * Creates a StatusReport object and returns a reference to the interface used to gain access
     * to it's methods.
     *
     * @return  A reference to the StatusReport interface.
     */
    org.csapi.jr.se.mm.us.StatusReport createStatusReport();

    /**
     * Creates a ExtendedStatusReport object and returns a reference to the interface used to gain access
     * to it's methods.
     *
     * @return  A reference to the ExtendedStatusReport interface.
     */
    org.csapi.jr.se.mm.us.ExtendedStatusReport createExtendedStatusReport();

    /**
     * Creates a TriggeredStatusReporting object and returns a reference to the interface used to gain access
     * to it's methods.
     *
     * @return  A reference to the TriggeredStatusReporting interface.
     */
    org.csapi.jr.se.mm.us.TriggeredStatusReporting createTriggeredStatusReporting();

}
